DOM::NodeList Class Reference

`#include <dom_node.h>`

## Public Member Functions

| NodeList (const NodeList &other)
NodeList & | operator= (const NodeList &other)
unsigned long | length () const
Node | item (unsigned long index) const
NodeListImpl * | handle () const
bool | isNull () const

## Protected Member Functions

| NodeList (const NodeListImpl *i)

## Protected Attributes

NodeListImpl * | impl

## Friends

class | Element
class | Node
class | Document
class | HTMLDocument
class | KJS::HTMLDocument
class | KJS::Window

## Detailed Description

The `NodeList` interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented.

The items in the `NodeList` are accessible via an integral index, starting from 0.

Definition at line 931 of file dom_node.h.

## Member Function Documentation

Node NodeList::item | ( | unsigned long | index | ) | const

Returns the `index` th item in the collection.

If `index` is greater than or equal to the number of nodes in the list, this returns `null` .

Parameters

  index | Index into the collection.

Returns
  The node at the `index` th position in the `NodeList` , or `null` if that is not a valid index.

Definition at line 485 of file dom_node.cpp.

unsigned long NodeList::length | ( |  | ) | const

The number of nodes in the list.

The range of valid child node indices is 0 to `length-1` inclusive.

Definition at line 491 of file dom_node.cpp.

The documentation for this class was generated from the following files:

- dom_node.h
- dom_node.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys